/*   
    (C) 2009 Vadim Peretokin
    
    (C) 2007, 2008 Gianni Moschini

    This file is part of GiftWrap.

    GiftWrap is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    GiftWrap is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GiftWrap.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __CALLBACK_H__
#define __CALLBACK_H__

#include "def.h"

gboolean clear_timer(gpointer data);

gboolean check_timer(GnomeDruidPage * druidpage, GtkWidget * widget, gpointer user_data);

gchar *get_combo_string(GtkWidget * w);

gboolean clear_hint(GtkWidget * widget, GdkEventWindowState * event, gpointer);

void finish(GnomeDruidPage * druidpage, GtkWidget * widget, gpointer user_data);

gboolean cancel(GnomeDruidPage * druidpage, GtkWidget * widget, gpointer user_data);

gboolean quit(GtkWidget * window, GdkEvent * event, gpointer data);

void select_currentdir_toggle(GtkToggleButton * togglebutton, gpointer user_data);

void fileselection(GtkFileChooser * filechooser, gpointer user_data);

void unselect(GtkFileChooser * filechooser, gpointer user_data);

gboolean check_selected_file(GnomeDruidPage * druidpage, GtkWidget * widget, gpointer user_data);

gboolean clear_oplist(GnomeDruidPage * druidpage, GtkWidget * widget, gpointer user_data);

gboolean setdir(GnomeDruidPage * druidpage, GtkWidget * widget, gpointer user_data);

gboolean switchto_pageready(GnomeDruidPage * druidpage, GtkWidget * widget, gpointer user_data);

void build_package(struct _allwidgets *widg, gchar * rootcmd);

gboolean start_build_page(GnomeDruidPage * druidpage, GtkWidget * widget, gpointer user_data);

gboolean prebuild_gettext_from_description(gpointer user_data);

gboolean execute_command(gchar * cmd);

gboolean build_retry(GnomeDruidPage * druidpage, GtkWidget * widget, gpointer user_data);

void switch_filechooser_type(struct _allwidgets *widg);

void set_filechooser_type(GtkComboBox * widget, gpointer data);

#endif
