/*   
    (C) 2009 Vadim Peretokin
    
    (C) 2007, 2008 Gianni Moschini

    This file is part of GiftWrap.

    GiftWrap is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    GiftWrap is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GiftWrap.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __DEF_H__
#define __DEF_H__

struct _allwidgets {
    guint timer;
    pid_t childpid;
    gchar *cmd;
    gchar *workingdir;
    gchar *output;
     gboolean(*aftercmd) (gpointer);
    gboolean debug;

    GSList *mimefilters;
    GList *operation_list;
    guint num_op;
    guint current_op;

    /* Widgets */
    GtkWidget *window;
    GtkWidget *druid;
    GtkWidget *page_first;
    /* Page 1 */
    GtkWidget *page_select_folder;
    GtkWidget *checkfolder;
    GtkWidget *vbox;
    GtkWidget *hbox;
    GtkWidget *combo_type;
    GtkWidget *label_type;
    GtkWidget *file_chooser;
    GtkWidget *label;
    /* Page 2 */
    GtkWidget *page_space;
    GtkWidget *notebook_infos;
    GtkWidget *vbox_sp1;
    GtkWidget *vbox_sp2;
    GtkWidget *vbox_sp3;
    GtkWidget *label_text;
    GtkWidget *table_info;
    GtkWidget *label_email;
    GtkWidget *entry_email;
    GtkWidget *label_name;
    GtkWidget *entry_name;
    GtkWidget *label_soft;
    GtkWidget *label_license;
    GtkWidget *combo_license;
    GtkWidget *label_maint;
    GtkWidget *entry_product;
    GtkWidget *label_version;
    GtkWidget *entry_version;
    GtkWidget *label_short;
    GtkWidget *entry_short;
    GtkWidget *label_long;
    GtkWidget *entry_long;
    GtkWidget *scrolled;
    GtkWidget *table_depend;
    GtkWidget *entry_depbuild;
    GtkWidget *label_depbuild;
    GtkWidget *entry_depinstall;
    GtkWidget *label_depinstall;
    GtkWidget *combo_depsection;
    GtkWidget *label_depsection;
    GtkWidget *entry_deppolicy;
    GtkWidget *label_deppolicy;
    GtkWidget *entry_deppkgname;
    GtkWidget *label_deppkgname;
    GtkWidget *entry_deprecommends;
    GtkWidget *label_deprecommends;
    GtkWidget *entry_depsuggests;
    GtkWidget *label_depsuggests;
    GtkWidget *entry_deppredepends;
    GtkWidget *label_deppredepends;
    GtkWidget *entry_depconflicts;
    GtkWidget *label_depconflicts;
    GtkWidget *entry_depprovides;
    GtkWidget *label_depprovides;
    GtkWidget *entry_depreplaces;
    GtkWidget *label_depreplaces;
    GtkWidget *entry_pkgarch;
    GtkWidget *label_pkgarch;

    GtkWidget *label_tmpdirectory;
    GtkWidget *scrolled_listfiles;
    GtkWidget *textview_listfiles;
    GtkWidget *progress_list;
    /* Page 3 */
    GtkWidget *page_confirm;
    GtkWidget *vbox_conf;
    GtkWidget *progress_check;
    GtkWidget *label_whatnext;
    GtkWidget *label_dir;
    GtkWidget *entry_dir;
    GtkWidget *treeview_check;
    /* Page 4 */
    GtkWidget *page_ready;
    GtkWidget *label_ready;
    /* Page 5 */
    GtkWidget *page_desc;
    /* Page 6 */
    GtkWidget *page_doing;
    GtkWidget *vbox_build;
    GtkWidget *label_wait;
    GtkWidget *progress_build;
    /* Page end */
    GtkWidget *page_end;
    GtkWidget *vbox_end;
    GtkWidget *scrolled_end;
    GtkWidget *entry_end;
    GtkWidget *text_end;
    GtkWidget *label_end;
    GtkWidget *check_end;
    /*  */
};

#endif
