/*   
    (C) 2009 Vadim Peretokin
    
    (C) 2007, 2008 Gianni Moschini

    This file is part of GiftWrap.

    GiftWrap is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    GiftWrap is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GiftWrap.  If not, see <http://www.gnu.org/licenses/>.
*/

/* sections_trans.cc - translate debian sections into friendlier names
 *  (c) 2004 Michael Vogt 
 *  
 */

/* Original file: common/sections_trans.cc
 * from the "synaptic" project; version 0.57.11e e
 */

#ifndef __SECTION_TRANS_H__
#define __SECTION_TRANS_H__
#define _(X) X

static char *transtable[][2] = {
    // TRANSLATORS: Alias for the Debian package section "admin"
    {"admin", _("System Administration")},
    // TRANSLATORS: Alias for the Debian package section "base"
    {"base", _("Base System")},
    // TRANSLATORS: Alias for the Debian package section "comm"
    {"comm", _("Communication")},
    // TRANSLATORS: Alias for the Debian package section "contrib"
    {"contrib", _("contrib")},
    // TRANSLATORS: Alias for the Debian package section "devel"
    {"devel", _("Development")},
    // TRANSLATORS: Alias for the Debian package section "doc"
    {"doc", _("Documentation")},
    // TRANSLATORS: Alias for the Debian package section "editors"
    {"editors", _("Editors")},
    // TRANSLATORS: Alias for the Debian package section "electronics"
    {"electronics", _("Electronics")},
    // TRANSLATORS: Alias for the Debian package section "emmbedded"
    {"embedded", _("Embedded Devices")},
    // TRANSLATORS: Alias for the Debian package section "games"
    {"games", _("Games and Amusement")},
    // TRANSLATORS: Alias for the Debian package section "gnome"
    {"gnome", _("GNOME Desktop Environment")},
    // TRANSLATORS: Alias for the Debian package section "graphics"
    {"graphics", _("Graphics")},
    // TRANSLATORS: Alias for the Debian package section "hamradio"
    {"hamradio", _("Amateur Radio")},
    // TRANSLATORS: Alias for the Debian package section "interpreters"
    {"interpreters", _("Interpreted Computer Languages")},
    // TRANSLATORS: Alias for the Debian package section "KDE"
    {"kde", _("KDE Desktop Environment")},
    // TRANSLATORS: Alias for the Debian package section "libs"
    {"libs", _("Libraries")},
    // TRANSLATORS: Alias for the Debian package section "libdevel"
    {"libdevel", _("Libraries - Development")},
    // TRANSLATORS: Alias for the Debian package section "mail"
    {"mail", _("Email")},
    // TRANSLATORS: Alias for the Debian package section "math"
    {"math", _("Mathematics")},
    // TRANSLATORS: Alias for the Debian package section "misc"
    {"misc", _("Miscellaneous - Text Based")},
    // TRANSLATORS: Alias for the Debian package section "net"
    {"net", _("Networking")},
    // TRANSLATORS: Alias for the Debian package section "news"
    {"news", _("Newsgroup")},
    // TRANSLATORS: Alias for the Debian package section "non free"
    {"non-free", _("non free")},
    // TRANSLATORS: Alias for the Debian package section "oldlibs"
    {"oldlibs", _("Libraries - Old")},
    // TRANSLATORS: Alias for the Debian package section "otherosfs"
    {"otherosfs", _("Cross Platform")},
    // TRANSLATORS: Alias for the Debian package section "perl"
    {"perl", _("Perl Programming Language")},
    // TRANSLATORS: Alias for the Debian package section "python"
    {"python", _("Python Programming Language")},
    // TRANSLATORS: Alias for the Debian package section "science"
    {"science", _("Science")},
    // TRANSLATORS: Alias for the Debian package section "shells"
    {"shells", _("Shells")},
    // TRANSLATORS: Alias for the Debian package section "sound"
    {"sound", _("Multimedia")},
    // TRANSLATORS: Alias for the Debian package section "tex"
    {"tex", _("TeX Authoring")},
    // TRANSLATORS: Alias for the Debian package section "text"
    {"text", _("Word Processing")},
    // TRANSLATORS: Alias for the Debian package section "utils"
    {"utils", _("Utilities")},
    // TRANSLATORS: Alias for the Debian package section "web"
    {"web", _("World Wide Web")},
    // TRANSLATORS: Alias for the Debian package section "x11"
    {"x11", _("Miscellaneous  - Graphical")},

    // TRANSLATORS: The section of the package is not known
    {"unknown", _("Unknown")},
    // TRANSLATORS: Alias for the Debian package section "alien"
    {"alien", _("Converted From RPM by Alien")},
    // TRANSLATORS: Ubuntu translations section
    {"translations", _("Internationalization and localization")},
    // TRANSLATORS: Ubuntu metapackages section
    {"metapackages", _("Meta Packages")},

    // TRANSLATORS: Alias for the Debian package section "non-US"
    //              Export to the outside of the USA is not allowed
    //              or restricted
    {"non-US", _("Restricted On Export")},
    //              Free software that depends on non-free software
    {NULL, NULL}
};

static char *licensetable[][2] = {
    {"artistic", _("Artistic License 2.0")},
    {"bsd", _("Berkeley Software Distribution License")},
    {"gpl", _("GNU General Public License")},
    {"lgpl", _("GNU Lesser General Public License")},
    {"other", _("Any other license")},
    {NULL, NULL}
};

#undef _

#endif                          /* __SECTION_TRANS_H__ */
